Check if CSAT is enabled for a channel
curl --request GET \
--url https://api.open.cx/csat/settings/channel/{channel} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.open.cx/csat/settings/channel/{channel}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.open.cx/csat/settings/channel/{channel}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channel": "<string>",
"enabled": true
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}CSAT
Check if CSAT is enabled for a channel
Check whether CSAT collection is enabled for the specified channel. Use when integrating CSAT results into a downstream BI or analytics pipeline.
GET
/
csat
/
settings
/
channel
/
{channel}
Check if CSAT is enabled for a channel
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
web, email, phone_voice, slack, sms, whatsapp, instagram, messenger, api, web_voice Was this page helpful?
⌘I